pcl::cuda::DisparityClampedSmoothing Struct Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/cuda/io/include/pcl/cuda/io/kinect_smoothing.h>`

## Public Member Functions

| DisparityClampedSmoothing (float *data, float3 *disparity_helper_map, int width, int height, int window_size)
template<typename Tuple >
__host__ __device__ float | operator() (Tuple t)

## Public Attributes

float * | data_
float3 * | disparity_helper_map_
int | width_
int | height_
int | window_size_

## Detailed Description

Definition at line 153 of file kinect_smoothing.h.

## Constructor & Destructor Documentation

## DisparityClampedSmoothing()

pcl::cuda::DisparityClampedSmoothing::DisparityClampedSmoothing | ( | float * | data,
|  | float3 * | disparity_helper_map,
|  | int | width,
|  | int | height,
|  | int | window_size
| ) |  |

inline

Definition at line 155 of file kinect_smoothing.h.

## Member Function Documentation

## operator()()

template<typename Tuple >

__host__ __device__ float pcl::cuda::DisparityClampedSmoothing::operator() | ( | Tuple | t | ) |

inline

Definition at line 167 of file kinect_smoothing.h.

References data_, disparity_helper_map_, height_, width_, and window_size_.

## Member Data Documentation

## data_

float* pcl::cuda::DisparityClampedSmoothing::data_

Definition at line 159 of file kinect_smoothing.h.

Referenced by operator()().

## disparity_helper_map_

float3* pcl::cuda::DisparityClampedSmoothing::disparity_helper_map_

Definition at line 160 of file kinect_smoothing.h.

Referenced by operator()().

## height_

int pcl::cuda::DisparityClampedSmoothing::height_

Definition at line 162 of file kinect_smoothing.h.

Referenced by operator()().

## width_

int pcl::cuda::DisparityClampedSmoothing::width_

Definition at line 161 of file kinect_smoothing.h.

Referenced by operator()().

## window_size_

int pcl::cuda::DisparityClampedSmoothing::window_size_

Definition at line 163 of file kinect_smoothing.h.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/cuda/io/include/pcl/cuda/io/kinect_smoothing.h